Contents .:.

  • Introduction
  • Calculator
  • License
  • History
  • Menus
    • File
    • Edit
      • Find
    • View
    • Favorites
    • Category
    • Tools
      • Conversion Editor
      • Options
        • Appearance
          • Language
        • Numbers
        • Toolbar
        • Updates
    • Help
  • Frequently Asked Questions (FAQ)


Converber

Converber v2.3.1

©2004 Xyntec Inc.

Xyntec Homepage

Introduction .:.

Converber is a unit converter. It is a powerful software utility that will help make easy conversions between 2078 various units of measure in 53 categories. Converber converts everything from length and force to flow and temperature. See some of the features listed below.

Converber:

  • Gives immediate access to all categories or single category
  • Favorites menu to bookmark your frequently-used conversions
  • Currency rates...updated daily
  • New! Inline calculator(*/-+^ and more)
  • Automatic updates
  • Quickly search the unit list and immediately see results
  • Step backwards or forwards through the most recently used conversions
  • Single or multiple preference file(s) for different users
  • Shows either common units or ALL units
  • Converts as you type, so no convert button is required
  • Includes equation editor to add your own custom units
  • Allows you to select/unselect the conversion file(s)
  • Can change the number of significant digits of the output
  • Option to select decimal-point precision
  • Option to select scientific notation only
  • Extensive number formatting
  • Inverts selected units with the quick swap feature
  • Displays the category to give further information
  • Converts left-to-right OR right-to-left
  • Runs portable/stand-alone using no dll files or registry settings
  • Remembers last window position and size (if desired)
  • Offset correction for meter value compensation
  • Comes with extensive help file
  • Supports transparency (Windows 2000, XP only)
  • Supports a multi-language user interface

The program has been tested on Windows (98, NT, 2K, XP). Although it has not been verified, it will more than likely run on Windows 95 and ME, also. Converber has been designed using AutoIt v3. There is some overhead (~100 kB) of using such an easy scripting language. However, Converber is still relatively small (~1003 kB) and stand-alone with no external .dll files or registry entries required (If using setup executable, one registry key is added to the Uninstall directory used for the Add or Remove Programs control panel applet). An ini file is created in the directory to store the units, categories, and conversion equations. There are also several LNG files available to allow users to select between different interface languages. And finally, an ini file is created in the program directory to store some of the last used settings, but can be deleted if necessary. This makes a perfect program to keep on your USB drive!

Best of all, Converber is FREE.


Inline Calculator .:.

This section describes the calculations available to Converber from the two input boxes on the main program window.

  • Addition: 10+2
  • Subtraction: 10-2
  • Multiplication: 10*2
  • Division: 10/2
  • Power: 10^2
  • Modulus: mod(10|2) Note: The modulo operation finds the remainder of division of one number by another.
  • Sine: sin(1)
  • Cosine: cos(1)
  • Tangent: tan(1)
  • Arcsine: asin(1)
  • Arccosine: acos(1)
  • Arctangent: atan(1)
  • Square root: sqrt(4)
  • Logarithm: log(1)
  • Exponent: exp(1) Note: Is the same function as e^x OR the inverse of natural log.


License

Software License .:.

Converber
Version 2.3.1

LICENSE AGREEMENT AND COPYRIGHT
=========

This is a legal agreement ("License Agreement") between you (either personal or corporate) and Xyntec Inc. ("Author") for the software product "Converber" ("Software"). BY COPYING OR USING THE SOFTWARE IN ANY KIND, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

Converber is FREEWARE. You can freely use this software and distribute copies of the ORIGINAL DISTRIBUTION FILE as long as NO ALTERATIONS are made to the file and its contents and no charge is raised. Any other way of distributing this software is prohibited.

This is not public domain software. The software is owned by the author and protected by copyright law.

You may not modify, reverse engineer, decompile or disassemble the files of this software.

The application and any related documentation is provided "as is" WITHOUT ANY WARRANTIES, either express or implied, including, but not limited to, implied warranties of fitness for a particular purpose. The entire risk arising out of use or performance of the software remains with you.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this software or documentation, even if the author has been advised of the possibility of such damages.

Copyright (c) 2004-2011 Xyntec Inc.
http://www.xyntec.com
28 October 2004


History .:.

2012-04-30: v2.3.1

· Windows Vista and Windows 7 options and updates bug fixes

Back To Top

2011-11-26: v2.3.0

· Windows Vista and Windows 7 compatibility improvements
· Added Arabic and Croatian language files
· Updated Hungarian, Italiano and Norwegian language files

Back To Top

2009-10-16: v2.2.1

· Fixed transparency bug (Thanks Andrea!)
· Updated Slovak language file

Back To Top

2009-10-14: v2.2.0

· Fixed major options dialog bug (Thanks nimicitor!)
· Fixed roman numeral bug (Thanks Dhanasekar!)
· Updated several languages

Back To Top

2009-09-18: v2.1.0

· Fixed check for updates bug (Thanks Victor!)
· Updated status bar
· Improved find dialog

Back To Top

2009-09-10: v2.0.0

· Added icon toolbar
· Added status bar
· Fixed searching bug

Back To Top

2008-10-10: v1.8.0

· Enhanced the favorites option to allow multiple instances of the same unit (Thanks Nick!)
· Remembers last options tab selected
· Fixed sticky hotkeys
· Fixed input box size bug (Thanks to several users!)
· Fixed child windows appearing partly off-screen (Thanks total recycling!)
· Fixed rare copy bug (Thanks kd!)

Back To Top

2008-01-31: v1.7.1

· Fixed conversion file update always reporting "No update is currently available"
· Fixed roman to arabic numeral bug which crawled in with the new inline calculator (Thanks Giuseppe!)
· Fixed language files being updated incorrectly during automatic update

Back To Top

2008-01-24: v1.7.0

· Now supports inline calculations such as multiplication, division, addition, subtraction, and more
· Update conversion file re-located
· Conversion file update is now date based rather than file size based improving reliability
· Conversion file editor delete function is faster
· Fixed scientific notation minus sign moving to front of calculation result (Thanks Stefano, Slava and Miroslaw!)
· Fixed decimal symbol (,) converting as integers only (Thanks Cabrao and Nicola!)

Back To Top

2007-10-22: v1.6.0

· Added extensive number formatting
· Added ability to run external program, such as a calculator
· Added option to allow for multiple instances
· Dramatically increased USB flash drive response times for calculation results and exiting app
· Allowed for much smaller window sizes
· Added option to move input boxes from the bottom of the interface to the top
· Added option to exit on escape
· Fixed language file update bug (Thanks Fish!)
· Attempted to fix small font size on high resolution monitors

Back To Top

2007-1-24: v1.5.0

· Program updates will now allow users to update Converber automatically, if desired
· Added currency category updated daily
· Added conversion file update button to quickly update currency rates
· Fixed large fonts on file menu causing inputs to disappear off the bottom of the GUI (Thanks Wayne!)
· Fixed off-line update check bug (Thanks Len!)

Back To Top

2006-8-1: v1.4.0

· Another dramatic speed increase when lists are populated (YMMV)
· Added a fuel consumption/gas mileage category

Back To Top

2006-3-13: v1.3.0

· Added offset correction for meter value compensation
· Fixed base conversions using lowercase letters (Thanks Charles!)
· Fixed liter (1901-1964) and quart (qt) (UK) conversions (Thanks Jack!)
· Fixed Conversions.ini file causing Windows 9x bug (Thanks Brian!)

Back To Top

2006-2-9: v1.2.1

· Fixed language file bug (Thanks Zappa!)

Back To Top

2006-2-8: v1.2.0

· Added Find/Search dialog
· Unveiled back and forward shortcut keys (Win2000/XP five-button mouse aware)
· Added online help file option
· Fixed language file bug (Thanks Kaloyan!)

Back To Top

2005-11-10: v1.1.1

· Fixed preference file bug introduced in v1.1.0

Back To Top

2005-11-7: v1.1.0

· Added option for single or multiple preference file(s) for different users (Thanks Demetris)

Back To Top

2005-8-2: v1.0.0

· Dramatic speed increase when lists are populated (YMMV)
· Fixed thousands(M) conversion of Arabic to Roman numerals (Thanks jxtro!)
· Various other bug fixes

Back To Top

2005-7-18: v0.9.0

· Favorites menu to add and delete favorite unit conversions
· Interface can now be resized and maximized
· Added installation directory to About dialog box
· Show uninstall registry key being added in install and uninstall detail box
· Added options to check for new conversion file and/or new language file
· Added ini entries to recall units last selected in individual categories
· Sped up the display time of the lists when refreshed
· Fixed close on minimize bug
· Fixed transparency Ok and Cancel buttons

Back To Top

2005-6-3: v0.8.0

· Removed tray icon (Thanks Peter!)
· Changed shortcut to copy result to clipboard from Ctrl+R to Ctrl+C
· Corrected nanometer conversion (Thanks Ian!)
· Added German language file (Thanks Zappa!)
· Added more units bringing the total to 514

Back To Top

2005-4-26: v0.7.0

· Added selection to show either common units or ALL units
· Added option to use either "e" or "E" to introduce the exponent
· Trimmed large equation file AGAIN by over 50% (Custom equation files created using v0.6.0 remain valid)
· Created elaborate spreadsheet to provide more accuracy and precision
· Fixed visibility while using on a remote desktop, such as VNC
· Added "check for update during startup" option

Back To Top

2005-3-24: v0.6.0

· Added on-line help file option
· Fixed font bug for vertical text (Thanks YDY!)
· Trimmed large equation file AGAIN by over 50% (Apologies to those with custom equation files, but this should be the last time)
· Re-hauled the code to work with the slimmer equation file

Back To Top

2005-3-18: v0.5.0

· Added decimal-point precision and scientific notation options
· Added Frequency category
· Split Light category into Lumination and Illumination
· Using new smaller and more configurable installer

Back To Top

2005-2-25: v0.4.1

· Added the option to check for updates
· Fixed version identification
· Fixed some translation bugs

Back To Top

2005-2-23: v0.4.0

· Added the option to select a category
· Trimmed fat equation file by over 65%
· Re-hauled the code to work with the slimmer equation file

Back To Top

2005-2-9: v0.3.0

· Added interface to add your own custom units and conversion equations, as well as your own conversion files
· Added the option to enable or disable conversion files from being listed
· Added the option to edit language files from the Language dialog box
· Changed the structure of the help file
· Tweaked the code to make start-up look faster

Back To Top

2005-1-25: v0.2.0

· Added option to select the number of significant digits of the output
· Added Swap button to allow for quicker unit change
· Added category display to give further information
· Organized and cleaned up the code (new bug potential)

Back To Top

2005-1-18: v0.1.0

· Initial Release

Back To Top


Menus .:.

Converber has the following menus:

  • File
  • Edit
  • View
  • Favorites
  • Category
  • Tools
  • Help


Menus: File .:.

The File menu has the following menus:

  • Import/Export: Shows a submenu to either Import Favorites or Export Favorites. Import Favorites allows you to import the favorites from a preferences INI file. Export Favorites allows you to export the favorites to a preferences INI file.
  • Exit: Quit Converber.


Menus: Edit .:.

The Edit menu has the following menus:

  • Copy Result to Clipboard: Copies the calculated value to the Windows clipboard making it available to other applications by using the commonly used paste feature.
  • Find: Starts the Find dialog for allowing users to search the units database.


Edit: Find .:.

The Find dialog gives the user the option of searching for units. Simply type into the search input box any part of the units name, abbreviation or symbol. The results appear in the left list of the main program automatically.


Menus: View .:.

The View menu has the following menus:

  • Back: Shows the previous selected units in history. History is purged after program exits.
  • Forward: Shows the next selected units recorded in history. History is purged after program exits.
  • Show Common Units: Shows only the common units within the category(s) as defined within the *.ini file(s).
  • Show All Units: Shows ALL units within the category(s) as defined within the *.ini file(s).
  • Swap: Inverts the two selected units, placing the unit selected in the left-hand list box with the unit in the right-hand list box and vice-versa.


Menus: Favorites .:.

The Favorites menu has the following menus:

  • Add to Favorites: Adds the two currently selected units to the favorites menu. Note: If no unit is selected OR if only one unit is selected, nothing will be added to the favorites menu.
  • Delete Favorites: Shows a submenu to delete either a single favorites item or all favorites items.
  • ***: Shows the two units.


Menus: Category .:.

The Category menu has the following menus:

  • All: Shows units in all of the categories.
  • ***: Shows the units for only the selected category.


Menus: Tools .:.

The Tools menu has the following menus:

  • Calculator...: Runs the external calculator configured in the Options.
  • Conversion Editor: Starts the Conversion Editor dialog for adding, deleting, or editing conversion equations.
  • Options: Starts the Options dialog for selecting amongst several options.


Tools: Coversion Editor

Tools: Conversion Editor .:.

Introduction

Depending on the types of equations and the size of the resulting file desired, Converber offers three types of conversion.

  1. Factor Type - The image above is a good example of this type. There are 12 inches in one foot, therefore the factor would be 12.
  2. Equation Type - Converting units, such as temperature, requires a more complex equation. For example, to convert fahrenheit to celsius the equation would be ( x - 32 / 1.8 ). The opposite equation box, celsius to fahrenheit, would be ( x * 1.8 + 32 ).
  3. Relation Type - This type is similar to the equation type, except the equation always relates to the initial unit. Using the same foot/inches example, the initial unit could be inches. There are 12 inches in one foot, therefore the equation for foot would be ( x * 12 ). When entering an additional unit, such as yards, it would follow that there are 36 inches in one yard ( x * 36 ). Note: Using this type of conversion the initial equation, in this case inches, must be ( x * 1 ).

1 - Show File

To show the custom conversion file in the main program window and Categories list, check the Show file check box. In the example image above, neither the categories nor the units contained in the Custom Units.ini file will be shown in the main program window.

2 - Select Conversion File

Select the conversion file to edit using the drop-down list.

3 - New Conversion File Button

To create a new custom conversion file, click the New button.

4 - Delete Conversion File Button

To delete the selected conversion file, click the Delete button.

5 - View Conversion File Button

To view or edit the custom conversion file with your default text editor, click the View button.

6 - Unit List Box 1

Select the desired unit to edit in the left-side list box.

7 - Unit List Box 2

After selecting the desired unit to edit in the left-side list box, select the opposite desired unit to edit in the right-side list box.

8 - Unit 1 Input Box

Enter the unit to use for the conversion in the left-side unit input box.

9 - Relate Unit to ...

If this box is not checked, use either the factor or equation type of conversion. If this box is checked, both the Unit 2 Input Box and the second Factor or Equation Input Box will be greyed out. Using this option will keep file sizes smaller and data entry will be faster. Note: Using this type of conversion the initial equation in each category must be ( x * 1 ).

10 - Unit 2 Input Box

Enter the other unit to use for the conversion in the right-side unit input box.

11 - Factor or Equation Input Box

Enter the corresponding factor or equation to use in the input box. If using a factor, only one of the two input boxes need to be filled. For example (see image above), 100 should be placed in the second box only. The program will automatically invert the number to calculate the other direction. If using an equation, both input boxes should be used and it should be structured like the following: ( x * 1000 ). The calculation will perform the operation left to right with no regards to the familiar parenthesis. Important reminders:

  • Do not use parenthesis.
  • Use a space to separate operations.
  • Use an x only!
  • The following operations are valid:

Operator | Description
+ | Adds two numbers. e.g. 10 + 20 (equals 30)
- | Subtracts two numbers. e.g. 20 - 10 (equals 10)
* | Multiplies two numbers. e.g. 20 * 10 (equals 200)
/ | Divides two numbers. e.g. 20 / 10 (equals 2)
^ | Raises a number to the power. e.g. 2 ^ 4 (equals 16)

12 - Factor or Equation Input Box

The same rules apply for this equation input box as the previous.

13 - Category Input Box

Enter the category for the conversion in the category input box.

14 - Add Conversion Button

To create a new conversion after filling in the appropriate input boxes, click the Add button. A file must be selected in the combo box (2).

15 - Update Conversion Button

To modify an existing conversion, click the Update button. A file must be selected in the combo box (2).

16 - Delete Conversion Button

  • To delete one unit, select the unit to be deleted in the left-side unit list box (6), then click the Delete button.
  • To delete two units, select the first unit to be deleted in the left-side unit list box (6) and select the second unit to be deleted in the right-side unit list box (7), then click the Delete button.
  • To delete an entire category, make sure the two unit list boxes(6 & 7) are empty and enter the category name in the category input box (13), then click the Delete button.

17 - Ok Button

To exit the conversion editor and return to the main program window, click the Ok button.

18 - Help Button

To show the Converber help contents, click the Help button.


Options .:.

You use the Options properties sheet to modify a number of Converber settings.

  • Appearance: Select amongst several user options.
  • Numbers: Select amongst several number options.
  • Toolbar: Select amongst several icon bar options.
  • Updates: Select amongst several update options.


Options: Appearance

The Appearance properties page allows you to select amongst several options.

  • Remember Last Window Position

    If the "Remember Last Window Position" item is not checked, the program window will always open in the center of the screen. If the "Remember Last Window Position" item is checked, the program window will open at the same location on the screen as when the program was exited.

  • Exit on <Esc>

    If the "Exit on <Esc>" item is checked and the main program window is active and on top, the program will exit when the Escape key is pressed.

  • Allow Multiple Instances

    If the "Allow Multiple Instances" item is not checked, only one instance of Converber can be open at a time. During an attempt to run Converber with the program already running, the running instance will be activated. If the "Allow Multiple Instances" item is checked, more than one instance of Converber can be opened.

  • Use multiple user named preference files

    After running the program the first time a preferences file is created to store such information as the last used units, last used category, last used input value, window position, favorites, history, significant digits selected, decimal-point precision, scientific notation setting, update settings, help file preference, selected language file, list of enabled and disabled conversion equation files, show all/common files selection, transparency setting, and last selected units within each category. This file is titled "Preferences.ini", by default. This is ideal for USB Drives and the like. Alternatively, multiple preferences file can be selected, titled "{user_name} Preferences.ini".

    If the checkbox is disabled or greyed out, the installation directory is read-only (such as Windows Vista, Windows 7 and Windows 8). In this case, the user's application directory is being used to remember the options/preferences. Since the user's profile directory is being used, this option is no longer applicable.

  • Use online help

    A help file(Converber.chm) typically exists in the working directory if selected during installation or manually copied to the working directory from the zip file(converber.zip). To save disk space, or to use help in a language other than English, an option has been added to use online help. With "Use online help" selected, the user will be taken to the appropriate web page via the default web browser.

    If the checkbox is checked and greyed out, the help file was not installed and the default browser will open the website when a help button is pressed.

  • Transparency

    The Transparency box alters the transparency of the main window. A transparent object is viewed by light shining through it from behind. This allows the desktop or other software to be seen under the active window. Any level of transparency is available from fully transparent (0%) to non-transparent (100%). Transparency is only available in Windows 2000, XP, 2003, and Vista.

  • Language

    The Language box allows users to select a different language. A View button is located directly beside this box to provide quick read/write access to the selected language file using the default notepad editor. For more information on the language file, please go here.

  • Calculator Path

    The Calculator Path box allows users provide a path to their favorite calculator application. Relative paths are supported. A relative path is a path relative to Converber's working directory, so the full absolute path need not be given. For instance, if calculator.exe is in the same directory as converber.exe, 'calculator.exe' is all that needs to be entered in the box (ignore the single quotes). To move up a directory use '..\'. To move up two directories, use '..\..\'. By default, Windows calculator '%calc.exe%' is used.


Options: Language .:.

The Language tool allows users to select a different language.

  • Language

    Each language has it's own *.LNG file. To configure and use your language, simply

    1. Open the Language dialog from the Converber menu(Tools - Language).
    2. Select your language in the drop-down list.
    3. Select the View button to edit the file using the template found below.
    4. Save the file and exit the text editor.
    5. Send the zipped (*.zip) text file to the author to include in future updates ;) Please include your name/alias/email/website to give credit where credit is due.
    6. With the language file still selected in the drop-down list, select the Ok button.

    To add, configure and use your own language, simply

    1. Open the Converber program directory from the Converber menu(Help - About Converber...)..
    2. Copy and paste the language file you are most familiar with.
    3. Rename the newly copied file.
    4. Edit the file with a text editor.
    5. Send the zipped (*.zip) text file to the author to include in future updates ;) Please include your name/alias/email/website to give credit where credit is due.
    6. Open the Language dialog from the Converber menu(Tools - Language).
    7. Select your language in the drop-down list.
    8. Select the Ok button.

English Language File

[0]
1901=English Translation (v2.3.1): Xyntec

[1]
1011=These tips will reveal user-friendly features and options.
1012=Use the Tab/Shift+Tab key to go field to field without having to use the mouse.
1013=Calculator command supports relative paths (ex. ..\Calculator\calculator.exe)
1014=Report bugs or make suggestions from the Help menu.
1015=Use the find feature to quickly navigate to the desired unit.
1016=Use the keyboard (Alt+Left Arrow) to return to the previous conversion.
1017=Hide the toolbar(configurable from the Options dialog).
1018=Need help? Use the help file or contact us from the Help menu.
1019=Show less units by selecting common units from the View menu.
1020=Number formatting is completely configurable from the Options dialog.
1021=Press escape to quickly exit(configurable from the Options dialog).
1022=Change the transparency(configurable from the Options dialog).
1023=Save drive space and use online help(see Options).
1024=Add your own units using the Conversion Editor.
1025=Update the conversion file for the latest currency rates.
1026=Show small icons on the toolbar(configurable from the Options dialog).

[2]
1101=&File
1102=E&xit
1103=&Import/Export
1104=&Import Favorites
1105=&Export Favorites
1106=&Edit
1107=&Find
1108=Fi&nd what
1113=&Back
1114=&Forward
1115=Toolbar
1116=&No Icons
1117=&Small Icons
1118=&Large Icons
1120=&Tools
1121=&Options
1122=&Copy Result to ClipBoard
1123=Show &Common Units
1124=Show &All Units
1125=Appearance
1126=Help Files
1128=U&se online help
1129=&Remember Last Window Position and Size
1130=&Transparency
1131=&Language
1132=O&ffset
1133=Significant digits
1134=&Decimal-Point Precision
1135=Scientific &Notation
1136=Preference Files
1137=""e"" Introduces &Exponent
1138=""E"" Introduces &Exponent
1139=&Use multiple user named preference files
1141=Updates
1142=Check for &Update(s)
1143=Check for New Version
1144=Chec&k for New Conversion File
1145=Check for Ne&w Language File
1146=Check for &Above Update(s) During Startup
1147=E&xit on
1148=Allow &Multiple Instances
1149=&Input Boxes on Top
1150=Conversion &Editor
1151=F&avorites
1152=&Add to Favorites
1153=&Delete Favorites
1154=&Delete All
1161=&All
1162=Numbers
1163=Sample
1164=Positive
1165=Negative
1166=&Decimal symbol
1167=No. of digits after decimal
1168=Digit grouping s&ymbol
1169=Digit &grouping
1170=Negative sign symbol
1171=&Swap
1172=Negative number format
1173=Display leading &zeros
1181=&Help
1182=&Contents
1183=&Report Bug
1184=&About
1185=Update Conversion &File
1186=&Calculator
1187=Calculator &Path
1188=Select Calculator Program
1189=Executables (*.exe)

[3]
1202=&Ok
1203=&Cancel
1204=&New
1205=&Add
1206=&Delete
1207=&Update
1208=&View
1209=&Browse
1210=&Apply
1211=Credits
1212=Icons
1213=Used with permission from Iconaholic Design Ltd.
1220=Intro
1221=Developed by
1222=Version
1223=Copyright
1224=Installation Directory
1250=Factor
1251=&Show File
1252=Unit
1253=-OR- Equation requires spaces
1254=&Category
1255=&Relate Unit to
1256=Tip
1271=Alt+F4
1272=Ctrl+C
1273=Ctrl+F
1274=Ctrl+S
1275=Alt+Left Arrow
1276=Alt+Right Arrow
1277=Ctrl+D
1278=F1
1279=Ctrl+P
1280=Ctrl+Q

[4]
1301=Error
1302=exists
1303=Would you like to automatically update your existing version?
1304=No update is currently available
1305=Help file not present, would you like to view the online help files instead?
1306=New conversion file is available
1307=New language file is available
1308=Would you like to automatically update your existing file?
1309=Value must be less than 5000
1310=(*Restart Required)
1311=No conversion file exists
1312=Please reinstall
1313=New Conversion File Detected
1314=The following conversion file has been detected
1315=Would you like to use this file?
1316=The following conversion file will be deleted
1317=Would you like to delete this file?
1318=A conversion file must be selected first
1319=Cannot
1320=An empty input box exists
1321=The two units you have chosen to add, already exist
1323=Please enter the name of your new conversion file with no extensions
1324=Are you sure?
1325=One of the units you have chosen to add already exist in another category
1326=Would you like to close Converber, open the default browser and visit the website to update your existing version?


Options: Numbers .:.

The Numbers properties page allows users to select amongst several options.

  • Decimal-Point Precision

    If the "Decimal-Point Precision" item is not checked, the input box as well as the "Scientific Notation" item will be greyed out. The calculated output will show all available digits following the decimal point. If the "Decimal-Point Precision" item is checked the calculated output will limit the maximum number of digits following the decimal point.

  • No. of digits after decimal

    The "No. of digits after decimal" item limits the maximum number of digits appearing after the decimal.
    Warning: If the value is very small, it will be truncated to zero!

  • Digit grouping symbol

    The "Digit grouping symbol" item allows users to select a different symbol to group digits to the left of the decimal point so that large numbers are easier to read.

  • Digit grouping

    The "Digit grouping" item allows users to select a different group of digits to be used to the left of the decimal point.

  • Negative sign symbol

    The "Negative sign symbol" item allows users to select a different symbol for negative numbers.

  • Negative number format

    The "Negative number format" item allows users to select a different format for negative numbers.

  • Display leading zeros

    The "Display leading zeros" item allows users to select whether a zero is to be displayed before the decimal of a number less than one and greater than negative one.

  • Significant digits

    The "Significant digits" item limits the maximum number of significant digits to the value entered in the input box.

    Significant figures (also called significant digits and abbreviated sig figs or sig digs, respectively) is a method of expressing errors in measurements. The term is also sometimes used to describe some rules-of-thumb, known as Significance arithmetic, which attempt to indicate the propagation of errors in a scientific experiment or in statistics when perfect accuracy is not attainable or not required. Scientific notation is often used when expressing the significant figures in a number.
    The concept of significant figures is derived from the method of measuring a value so that the smallest accurately known decimal place is next to last and only one further is estimated; for example, if an object is measured with a ruler that is marked in millimeters and is known to be between six and seven millimeters and appears to the measurer to be approximately two-thirds of the way between them, an acceptable measurement for it could be 6.6 mm or 6.7 mm, but not 6.666666... mm. This rule based upon the principle of not implying more precision than can be justified when measurements are taken in this manner.
    For example,

    1.2345
    0012345
    0.00012345

    all have five significant digits.
    Conventionally, a number with value zero is considered to have one significant digit. (Excerpted from Wikipedia)

  • Offset

    If the "Offset" item is greater than or less than zero, the calculated value will be based on the adjusted input value, not the value entered. The adjusted input value is the offset subtracted from the input entered.

    Offset = 0.0 | Offset = 0.1 | Offset = 0.0
    Input = 1 | Input = 1 | Input = 0.9
    Scaled Input = 1 | Scaled Input = 0.9 | Scaled Input = 0.9
    Output = 10 | Output = 9 | Output = 9

  • Scientific Notation

    If the "Scientific Notation" item is not checked, the calculated value will only display the exponent if necessary. If the "Scientific Notation" item is checked, the calculated value will always display the exponent. For example, 12345.6789 will be displayed as 1.23456789e004

  • "e" Introduces Exponent

    "E" Introduces Exponent

    In mathematics, exponentiation is a process generalized from repeated multiplication, in much the same way that multiplication is a process generalized from repeated addition. (The next operation after exponentiation is sometimes called tetration; repeating this process leads to the Ackermann function.)
    Powers of 10 are easy to compute: for example 106 = 1 million, which is 1 followed by 6 zeros. Exponentiation with base 10 is often used in the physical sciences to describe large or small numbers in scientific notation; for example, 299792458 (the speed of light in a vaccuum, in meters per second) can be written as 2.99792458 × 108 and then approximated as 2.998 × 108 if this is useful. SI prefixes are also used to describe small or large quantities, and these are also based on powers of 10; for example, the prefix kilo means 103 = 1000, so a kilometre is 1000 metres. (Excerpted from Wikipedia)


Options: Toolbar

The Toolbar properties page allows you to customize the icon bar.

  • No Icons

    If the "No Icons" item is selected, the icon bar at the top will be hidden.

  • Small Icons

    If the "Small Icons" item is selected, the toolbar will display 16x16 icons.

  • Large Icons

    If the "Large Icons" item is selected, the toolbar will display 32x32 icons.


Options: Updates .:.

The Updates properties page allows you to select amongst several options.

  • Check for New Version

    If the "Check for New Version" item is checked, the program will read the size of an online text file and compare this to your current version whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below.

  • Check for New Conversion File

    If the "Check for New Conversion File" item is not checked, the program will not check for the latest version of the conversion file whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below. If the "Check for New Conversion File" item is checked, the program will read the size of an online text file and compare this to your current version whenever the Help-Check for Update(s)... menu item is selected or whenever the program starts if the "Check for Update(s) During Startup" is selected below.

  • Check for Above Update(s) During Startup

    If the "Check for Above Update(s) During Startup" item is not checked, the program will not access the internet to check for the above checked update(s) during program startup. If the "Check for Above Update(s) During Startup" item is checked, the program will access the internet to check for the above checked update(s) during program startup. Note: Nothing is sent from your computer. The program merely reads the size of an online text file and compares this to your current version.


Menus: Help .:.

The Help menu has the following menus:

  • Contents: Shows the Converber help contents.
  • Check for Update(s): Detects the availability of a new version. If the option is selected, this will also check the availability of a new conversion file and/or a new language file. Note: Nothing is sent from your computer. The program merely reads the size of an online text file and compares this to your current version. If the prompt to automatically update your software or existing file is confirmed, Converber will download the file from the internet and replace the file being used by Converber. No restart is required. The interface will automatically refresh showing the new data.
  • Update Conversion File: Converber will download the file from the internet and replace the file being used by Converber. No restart is required. The interface will automatically refresh showing the new data.
  • Report Bug: Opens the default browser to the bug report form on Xyntec's website.
  • About Converber: Shows the Converber about box.


FAQ

Frequently Asked Questions (FAQ) .:.

This section gives some of the more frequently asked questions that we have anticipated and gathered from our local support team.

Questions

1. There are no units on the left side.

2. There are no units on the right side.

3. What has been installed on my computer?

4. How is the program updated automatically?

5. How do I uninstall?

6. Will you be adding more units and categories?

7. Will you add my favorite feature?

8. What if I have any other questions not covered in this help document?

1. There are no units on the left side.

First, verify that the Conversions.ini or any other custom INI units file is installed in the same directory as the Converber.exe file. Open the editor, by seleting Tools - Conversion Editor.... Look for files in the drop-down box. If none exist, re-install Converber.

Second, open the editor, by seleting Tools - Conversion Editor.... Select the conversion file using the drop-down box and verify that the Show File check box is checked.

Third, re-install Converber.

Back To Top

2. There are no units on the right side.

First, verify that a unit on the left side has been selected.

Second, verify that the INI file, containing the selected unit, has been setup properly.

Back To Top

3. What has been installed on my computer?

This really depends on how you installed Converber.

If the stand-alone binaries were extracted from the zip file (converber.zip), then only the files extracted were added to the hard drive including the preferences file (see paragraph below).

If you used the setup file (converber.exe), a programs folder is added to your Start Menu, an uninstall entry is added to your Add/Remove Programs control panel applet adding one registry key to the "HKLM\Software\Microsoft\Windows\CurrentVersion\Uninstall" directory), and an uninstall file (uninstall.exe) is added to the program directory. Further files will be added depending on the selections made during startup. These include the executable (Converber.exe), and associated unit conversion file (Conversions.ini), help file (Converber.chm), and language files (English.lng, etc.) which are copied to the program directory selected during setup. By default, the directory is "{Home Drive, usually C}:\Program Files\Converber". The Desktop and Quick Launch icons may also be selected during setup.

After running the program the first time a preferences file is created to store such information as the last used units, last used category, last used input value, window position, favorites, history, significant digits selected, decimal-point precision, scientific notation setting, update settings, help file preference, selected language file, list of enabled and disabled conversion equation files, show all/common files selection, transparency setting, and last selected units within each category. This file is titled "{user_name} Preferences.ini", by default. Alternatively, a single preferences file can be selected, titled "Preferences.ini". This is ideal for USB Drives and the like.

No further files, dll's, registry settings, etc. are installed or modified.

Back To Top

4. How is the program updated automatically?

Once the confirm download prompt is acknowledged, four files are downloaded from the server. The program file, the language file, the conversion file, and an updater file are all copied to Converber's installation directory. The program file is temporarily named "Converbernew.exe". Then, the updater file is called to run and Converber exits momentarily. The updater program then deletes the old "Converber.exe", renames the new "Converbernew.exe" to "Converber.exe", and starts Converber. Finally, as Converber is starting, the updater file is deleted, leaving no trace.

Back To Top

5. How do I uninstall?

You may uninstall by deleting the program directory, or...

If you used the setup file (converber.exe), simply go to the Control Panel, select Add/Remove Programs, select Converber, and click the Uninstall button OR select uninstall from the Programs Group created during installation. Warning: All files will be deleted from the folder created during the setup. This includes any custom language or equation files you have so diligently worked on.

Back To Top

6. Will you be adding more units and categories?

Quite simply, yes, definitely, you bet, assuredly, uh-huh, absolutely.

Back To Top

7. Will you add my favorite feature?

While no promises can be made, we will do our best to satisfy your requests. We highly encourage you to submit ideas. As a matter of fact, we have setup a form on our website to allow you to easily submit requests, as well as bugs.

Back To Top

8. What if I have any other questions not covered in this help document?

Contact us online at http://www.xyntec.com or toll free: 1-877-938-9775. You may also submit your question via a form we have setup on our website.

Back To Top


Options: General .:.

The General properties page allows you to select amongst several options.

  • Remember Last Window Position

    If the "Remember Last Window Position" item is not checked, the program window will always open in the center of the screen. If the "Remember Last Window Position" item is checked, the program window will open at the same location on the screen as when the program was exited.

  • Exit on <Esc>

    If the "Exit on <Esc>" item is checked and the main program window is active and on top, the program will exit when the Escape key is pressed.

  • Allow Multiple Instances

    If the "Allow Multiple Instances" item is not checked, only one instance of Converber can be open at a time. During an attempt to run Converber with the program already running, the running instance will be activated. If the "Allow Multiple Instances" item is checked, more than one instance of Converber can be opened.

  • Use multiple user named preference files

    After running the program the first time a preferences file is created to store such information as the last used units, last used category, last used input value, window position, favorites, history, significant digits selected, decimal-point precision, scientific notation setting, update settings, help file preference, selected language file, list of enabled and disabled conversion equation files, show all/common files selection, transparency setting, and last selected units within each category. This file is titled "Preferences.ini", by default. This is ideal for USB Drives and the like. Alternatively, multiple preferences file can be selected, titled "{user_name} Preferences.ini".

  • Use online help

    A help file(Converber.chm) typically exists in the working directory if selected during installation or manually copied to the working directory from the zip file(converber.zip). To save disk space, or to use help in a language other than English, an option has been added to use online help. With "Use online help" selected, the user will be taken to the appropriate web page via the default web browser.

  • Transparency

    The Transparency box alters the transparency of the main window. A transparent object is viewed by light shining through it from behind. This allows the desktop or other software to be seen under the active window. Any level of transparency is available from fully transparent (0%) to non-transparent (100%). Transparency is only available in Windows 2000, XP, 2003, and Vista.

  • Language

    The Language box allows users to select a different language. A View button is located directly beside this box to provide quick read/write access to the selected language file using the default notepad editor. For more information on the language file, please go here.

  • Calculator Path

    The Calculator Path box allows users provide a path to their favorite calculator application. Relative paths are supported. A relative path is a path relative to Converber's working directory, so the full absolute path need not be given. For instance, if calculator.exe is in the same directory as converber.exe, 'calculator.exe' is all that needs to be entered in the box (ignore the single quotes). To move up a directory use '..\'. To move up two directories, use '..\..\'. By default, Windows calculator '%calc.exe%' is used.